Вопрос по installation, ios, sdk, xcode, osx-snow-leopard – Xcode 4.5 с iOS 6 на Snow Leopard

4

Я с нетерпением жду начала разработки iOS 6. Я разработал на iOS 4 назад, и сейчас у меня на компьютере работает Xcode 4.2. У меня также есть несколько проектов из предыдущих версий iOS.

Я хотел бы загрузить последнюю версию для разработчиков Xcode 4.5 + iOS 6 и начать разработку на своей системе, однако я не хочу терять предыдущие проекты, которые я написал. Я хотел бы иметь возможность скомпилировать их и запустить в симуляторе.

У меня есть следующие вопросы:

Can I install and run Xcode 4.5 on Snow Leopard?

Once I install Xcode 4.5 will that upgrade my existing Xcode installation?

If my existing Xcode installation is overridden to Xcode 4.5 will I be able to run my apps from iOS 3+ and iOS 4+ on the new Xcode?

If Xcode 4.5 installs as a separate installation on my Mac can I run both Xcode versions together? What are the best practices for that installation?

iOS 6 находится под NDA. Вы не можете обсуждать эту тему вне форума разработчиков Apple. Тем не менее, бета-версия XCode не заменит вашу текущую установку XCode J2theC
Mountain Lion и Lion очень дешевы по сравнению с предыдущими версиями Mac OS X и Windows. Bo A
Опс я бегу снежного барса. Я поменяю тег banditKing
@banditKing Это уже было изменено. Bo A
Ваш вопрос говорит о снежном барсе, но он помечен [osx-mountain-lion]. Так какую версию вы используете? BoltClock♦

Ваш Ответ

2   ответа
5

но могу ответить на некоторые ваши вопросы, основываясь на Xcode 4.3 и 4.4.

Can I install and run Xcode 4.5 on Snow Leopard?

Нет. Xcode 4.2 - последняя поддерживаемая версия на Snow Leopard

Once I install Xcode 4.5 will that upgrade my existing Xcode installation?

Даже если вы не можете выполнить обновление на Snow Leopard, на Lion Xcode 4.3+ устанавливается, кроме Xcode 4.0-4.2, с перемещениемDeveloper папка внутри Xcode.app.

If my existing Xcode installation is overridden to Xcode 4.5 will I be able to run my apps from iOS 3+ and iOS 4+ on the new Xcode?

На самом деле не могу сказать о Xcode 4.5, но на 4.4 вы сможете получить симуляторы iOS 5 с 4.3, которые можно будет загрузить вручную через окно настроек Xcode на Lion, но вы можете использовать только симуляторы iOS 5 на Mountain Lion. Однако вы можете протестировать iOS 3+ на реальном устройстве.

If Xcode 4.5 installs as a separate installation on my Mac can I run both Xcode versions together? What are the best practices for that installation?

В этом случае вы должны быть под Lion с установленными Xcode 4.2 и 4.5. Там не должно быть никаких проблем с этим.

0

& quot; Xcode 4.. & quot; - Рад, что нашел это.

По какой-то причине изображение Snow Leopard в Xcode 4.2 недоступно на портале для разработчиков iOS. Он предлагается для Lion, но последняя доступная версия для Snow Leopard - 3.2.5.

Однако он доступен через портал разработчика Mac, как я нашел здесь: enter image description here

Смешно, но, скорее всего, перепутать с их стороны.

Похожие вопросы